<?xml version="1.0"?>
<!--
  有关如何配置 ASP.NET 应用程序的详细信息，请访问
  http://go.microsoft.com/fwlink/?LinkId=152368
  -->
<configuration>
  <!--配置节点-->
  <configSections>
    <!--spring节点-->
    <sectionGroup name="spring">
      <section name="context" type="Spring.Context.Support.MvcContextHandler, Spring.Web.Mvc"/>
      <section name="parsers" type="Spring.Context.Support.NamespaceParsersSectionHandler, Spring.Core"/>
    </sectionGroup>
    <!--log4net节点-->
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
    <section name="databaseSettings" type="System.Configuration.NameValueSectionHandler"/>
    <section name="cacheManager" type="CacheManager.Core.Configuration.CacheManagerSection, CacheManager.Core"/>
    <sectionGroup name="enyim.com">
      <section name="memcached" type="Enyim.Caching.Configuration.MemcachedClientSection, Enyim.Caching"/>
    </sectionGroup>
  </configSections>
  <!--log4net-->
  <log4net debug="false">
    <logger name="NHibernate">
      <level value="OFF"/>
      <!-- 完全关闭 NHibernate 日志 -->
    </logger>
    <appender name="LogFileAppender" type="log4net.Appender.FileAppender">
      <param name="File" value="Logs\Log.log"/>
      <param name="datePattern" value="MM-dd HH:mm"/>
      <param name="AppendToFile" value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n"/>
      </layout>
    </appender>
    <appender name="HttpTraceAppender" type="log4net.Appender.ASPNetTraceAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n"/>
      </layout>
    </appender>
    <appender name="EventLogAppender" type="log4net.Appender.EventLogAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n"/>
      </layout>
    </appender>
    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs/Log.log"/>
      <param name="AppendToFile" value="true"/>
      <param name="MaxSizeRollBackups" value="10"/>
      <param name="MaximumFileSize" value="100K"/>
      <param name="RollingStyle" value="Size"/>
      <param name="StaticLogFileName" value="true"/>
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n"/>
      </layout>
    </appender>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n"/>
      </layout>
    </appender>
    <appender name="OutputDebugStringAppender" type="log4net.Appender.OutputDebugStringAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newline"/>
      </layout>
    </appender>
    <appender name="TraceAppender" type="log4net.Appender.TraceAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newline"/>
      </layout>
    </appender>
    <root>
      <!--<level value="ERROR" />-->
      <level value="INFO"/>
      <appender-ref ref="RollingLogFileAppender"/>
    </root>
  </log4net>
  <!--spring-->
  <spring>
    <context>
      <!--Dao-->
      <resource uri="assembly://Dao/Dao.Config/DaoBase.xml"/>
      <resource uri="assembly://Dao/Dao.Config/Dao.xml"/>
      <!-- RCUHost -->
      <resource uri="assembly://RCUHost/RCUHost.Config/Receiver.xml"/>
      <!--Service-->
      <resource uri="assembly://Service/Service.Config/ServiceBase.xml"/>
      <resource uri="assembly://Service/Service.Config/Service.xml"/>
      <!--Web-->
      <resource uri="assembly://WebSite/WebSite.Config/Controllers.xml"/>
    </context>
  </spring>
  <appSettings>
    <add key="Spring.Data.NHibernate.Support.OpenSessionInViewModule.SessionFactoryObjectName" value="NHibernateSessionFactory"/>
    <add key="CurrentUrl" value="http://127.0.0.1"/>
    <add key="TFTPPort" value="6900"/>
    <!--需要同步PMS房态的酒店编码，多个以英文逗号隔开-->
    <add key="code" value="TCHG_Hotel"/>
    <add key="rokid_client_id" value="C485849C"/>
    <add key="rokid_client_secret" value="8C9FB-6D854-CE2A0-16DAD-2AD7A"/>
    <!--freego对接参数,freego_codes多个以英文逗号隔开-->
    <add key="freego_url" value="https://lock.wangjile.cn/api/rcuapi/register"/>
    <add key="freego_codes" value=""/>
    <add key="freego_appid" value="JTHpnN9V"/>
    <add key="freego_appsecret" value="snNyTY9sVo7fcsEa"/>
    <!--看板主机基数-->
    <add key="host_base_count" value="100000"/>
    <!--华为vtId-->
    <add key="huawei_vtId" value="BOTb2be27cdccda45a09dff2m1baolaiwei"/>
    <add key="huawei_cuid" value="0179993ce80b03896b44830dbca467957c9e88396061d0a65d05873aef042492"/>
    <!--发送通讯数据给debugger系统-->
    <add key="send_to_debugger" value="0"/>
    <!--获取升级文件包路径和工具同步路径-->
    <add key="get_update_url" value="http://rcu-data.blv-oa.com/OTApi/GainFiles"/>
    <add key="tool_sync_url" value="http://auth.blv-oa.com/OuterSyncApi/SyncData?Pwd=fs%sd"/>
    <add key="tool_sync_url_base_url" value="http://auth.blv-oa.com"/>
    <!-- redis Start   -->
    <add key="session_expire_minutes" value="5"/>
    <add key="redis_server_session" value="127.0.0.1:6379"/>
    <add key="redis_max_read_pool" value="1000"/>
    <add key="redis_max_write_pool" value="1000"/>
    <add key="monitor_log_expire_minutes" value="30"/>
    <!--redis end-->
    <add key="debug_hotel_code" value=""/>
    <add key="missionsys_address" value="http://localhost:4000/"/>
    <add key="currentsys_address" value="http://localhost:1867/"/>
    <add key="baojing_airreport_address" value="http://localhost:5026"/>
    <add key="baojing_airreport_key" value="BLV@blv-oc.com"/>
    <add key="debug_log_report_url" value="http://localhost:8086/blw/mqtt_publish"/>
    <add key="debug_log_report_mqtt_topic" value="blw/log/report"/>
    <add key="debug_log_report_key" value="yt65rS3O9htMicUc"/>
    <add key="debug_registerinfo" value="0"/>
    <add key="tongjiflag" value="0"/>
    <add key="TCLLoginUrl" value="https://ai.tclyun.cn/"/>
    <add key="TCLAppId" value="3fc1fe5560bdf2efda50a8dc23521d8a"/>
    <add key="TCLAppSecret" value="48c30d8fcca4e14ab4842e9bfd54c082"/>
    <!--日志-->
    <add key="TCLLogReportTopic" value="48c30d8fcca4e14ab4842e9bfd54c082"/>
    <add key="SkyWorthLogReportTopic" value="48c30d8fcca4e14ab4842e9bfd54c082"/>
    <!--FCSID-->
    <!--
    <add key ="FCS_PropertyID" value="071673b3-d893-440b-b3f0-64a0d964eb29"/>
    <add key ="FCSLoginUrl" value="https://api.fcs1cloud.com"/>
    <add key ="FCSLoginUserName" value="hb.rcu"/>
    <add key ="FCSLoginPassWord" value="abc123"/>

    
    <add key ="FCS_Carbon_UUID" value="6cd13072-81d6-4a68-b1c9-674da9997884"/>
    <add key ="FCS_SOS_UUID" value="f90bfaf2-8d54-48f1-a2d7-4979751c7203"/>
    <add key ="FCS_TouSu_UUID" value="32676abf-fa5e-457e-8d6e-2c596b3b1353"/>
    <add key="FCS_Clean_UUID" value="f905590d-cae7-4d07-8d0d-f88b5b44b786"/>
    <add key="FCS_TiSongWuPin" value="4257f2d9-04d4-49b5-aa25-d51238f3bd9a"/>
    <add key="FCS_RCU_Device_Offline" value="75b315cc-ab45-4684-86f7-d2a423a5646b"/>

    <add key="FCS_RCU_Online" value="c3c7760f-f788-4ba3-a897-2e2f72bef07e"/>
    <add key="FCS_RCU_Offline" value="0b3744e6-8c19-4464-8e80-9c270e977864"/>

    <add key="FCS_MenCi_Close" value="b6ab30c2-3e54-4a5a-acf0-d9b985c409be"/>
    <add key="FCS_MenCi_Open"  value="547c567d-9b6f-44f6-9983-5792a2602251"/>-->
    <!--FCSID 测试-->
    <add key="FCS_PropertyID" value="6b04e51f-8f51-4bb4-8e8c-e92744790165"/>
    <add key="FCSLoginUrl" value="https://api.fcs1cloud.com"/>
    <add key="FCSLoginUserName" value="nwshy.rcu"/>
    <add key="FCSLoginPassWord" value="P@ss1234"/>
    <add key="FCS_Carbon_UUID" value="55a836a9-c81d-46d9-8462-aad2e99ae24b"/>
    <add key="FCS_SOS_UUID" value="9a4d876e-e916-4a4a-af76-5b6cf1c7907a"/>
    <add key="FCS_TouSu_UUID" value="97e8f2f4-070f-49ca-98fd-18f9cc01a776"/>
    <add key="FCS_Clean_UUID" value="657e8338-0954-495b-aaa2-8db9948a466b"/>
    <add key="FCS_TiSongWuPin" value="63d3695b-c6ed-46d1-a7f8-5bff2fbcf86e"/>
    <add key="FCS_RCU_Device_Offline" value="dc7d6957-1f09-4c5f-99cc-d417be984bf4"/>
    <add key="FCS_RCU_Online" value="ef175965-736e-4e31-8581-21143240b9a7"/>
    <add key="FCS_RCU_Offline" value="211a02fc-b55f-40b0-89fd-1f773f5022b1"/>
    <add key="FCS_MenCi_Close" value="c30f4abf-4327-49e7-bf16-53ad924eeda5"/>
    <add key="FCS_MenCi_Open" value="65b04233-b03a-4595-b2ac-ccd59702b1fa"/>
    <!--Hi 喂-->
    <add key="HiWeiAppId" value="wijsv8hf5izejkny"/>
    <add key="HiWeiAppSecret" value="6c1014dab24c41369068d12e4f7e145c"/>
    <add key="webchat_redisstr" value="47.119.147.104:26379"/>
    <add key="webchat_redis_pwd" value="1001^_^lool"/>
  </appSettings>
  <connectionStrings>
    <add name="connectionString" connectionString="DESKTOP-DUNS5K7;database=RICS;uid=sa;pwd=123456" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  <databaseSettings>
    <add key="provider" value="System.Data.SqlClient"/>
    <add key="connectionString" value="Data Source=DESKTOP-DUNS5K7;Initial Catalog=RICS;Persist Security Info=True;User ID=sa;Password=123456;Max Pool Size=300;"/>
    <add key="dialect" value="NHibernate.Dialect.MsSql2008Dialect"/>
    <add key="driver_class" value="NHibernate.Driver.SqlClientDriver"/>
    <add key="show_sql" value="true"/>
    <add key="hbm2ddl.auto" value="update"/>
  </databaseSettings>
  <cacheManager xmlns="http://tempuri.org/CacheManagerCfg.xsd">
    <managers>
      <cache name="myCache" updateMode="Up" enableStatistics="false" enablePerformanceCounters="false">
        <handle name="myHandle" ref="systemRuntimeHandle" expirationMode="Sliding" timeout="15s"/>
      </cache>
    </managers>
    <cacheHandles>
      <handleDef id="systemRuntimeHandle" type="CacheManager.SystemRuntimeCaching.MemoryCacheHandle`1, CacheManager.SystemRuntimeCaching" defaultExpirationMode="Sliding" defaultTimeout="5m"/>
    </cacheHandles>
  </cacheManager>
  <enyim.com>
    <memcached protocol="Binary">
      <servers>
        <add address="127.0.0.1" port="11211"/>
      </servers>
      <socketPool minPoolSize="10" maxPoolSize="100" connectionTimeout="00:00:10" deadTimeout="00:02:00"/>
    </memcached>
  </enyim.com>
  <system.web>
    <httpRuntime maxRequestLength="5000" requestValidationMode="2.0"/>
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <add assembly="System.Web.Abstractions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
        <add assembly="System.Web.Routing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
        <add assembly="System.Web.Mvc, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      </assemblies>
    </compilation>
    <authentication mode="Forms">
      <forms name="MyAuth" cookieless="UseCookies" loginUrl="~/LogOn" timeout="2880"/>
    </authentication>
    <pages validateRequest="false">
      <namespaces>
        <add namespace="System.Web.Mvc"/>
        <add namespace="System.Web.Mvc.Ajax"/>
        <add namespace="System.Web.Mvc.Html"/>
        <add namespace="System.Web.Routing"/>
      </namespaces>
    </pages>
    <httpModules>
      <add name="OpenSessionInView" type="Spring.Data.NHibernate.Support.OpenSessionInViewModule, Spring.Data.NHibernate30"/>
    </httpModules>
    <!--显示错误-->
    <customErrors mode="Off"/>
  </system.web>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <modules runAllManagedModulesForAllRequests="true">
      <add name="OpenSessionInView" type="Spring.Data.NHibernate.Support.OpenSessionInViewModule, Spring.Data.NHibernate30"/>
    </modules>
    <httpProtocol>
      <customHeaders>
        <add name="P3P" value="CP=&quot;IDC DSP COR CURa ADMa  OUR IND PHY ONL COM STA&quot;"/>
      </customHeaders>
    </httpProtocol>
    <urlCompression doStaticCompression="true" doDynamicCompression="true"/>
    <directoryBrowse enabled="true"/>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0" newVersion="2.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="ICSharpCode.SharpZipLib" publicKeyToken="1b03e6acf1164f73"/>
        <bindingRedirect oldVersion="0.84.0.0" newVersion="0.86.0.518"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Routing" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Abstractions" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="BasicHttpBinding_IThirdpartyService"/>
        <binding name="BasicHttpBinding_IThirdpartyService1"/>
        <binding name="syncstatusSoap" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647"/>
        <binding name="BasicHttpBinding_XRHotel_ServiceSoap" maxReceivedMessageSize="2147483647"/>
        <binding name="blwwsSoap"/>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://119.29.101.13:2017/JTE.Server/ThirdpartyService" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IThirdpartyService" contract="ServiceReference1.IThirdpartyService" name="BasicHttpBinding_IThirdpartyService"/>
      <endpoint address="http://119.29.101.13:2017/JTE.Server/ThirdpartyService" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IThirdpartyService1" contract="ServiceReference2.IThirdpartyService" name="BasicHttpBinding_IThirdpartyService1"/>
      <endpoint address="http://pms.boonlive-rcu.com:89/syncstatus.asmx" binding="basicHttpBinding" bindingConfiguration="syncstatusSoap" contract="syncstatus.syncstatusSoap" name="syncstatusSoap"/>
      <endpoint address="http://61.143.60.101:6024/XRHotel_WS" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_XRHotel_ServiceSoap" contract="XR_PMS.XRHotel_ServiceSoap" name="BasicHttpBinding_XRHotel_ServiceSoap"/>
      <endpoint address="http://pms.boonlive-rcu.com:89/blwws.asmx" binding="basicHttpBinding" bindingConfiguration="blwwsSoap" contract="ServiceReference1.blwwsSoap" name="blwwsSoap"/>
    </client>
  </system.serviceModel>
</configuration>